{% extends 'dragonboard-410c.jinja2' %}
{% set connection_command = 'telnet pmwg-dispatcher01 7104' %}
{% set adb_serial_number = '8cb2d28' %}
{% set fastboot_serial_number = '8cb2d28' %}
{% set action_timeout_power_off = 30 %}

{# OTG port control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m sync -u 7' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m off -u 7' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m off -u 7',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command reboot --port 6 --delay 50',
'/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m sync -u 7'] %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command on --port 6' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command off --port 6', '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m off -u 7', '/usr/local/lab-scripts/cbrxd_hub_control -n pmwg-dispatcher01-hub01 -m off -m2 sync -d 5 -a 5 -u 6'] %}
{% set device_info = [{'board_id': '8cb2d28'}] %}
{% set static_info = [{'board_id': 'S_NO410C0001'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}
{% set device_ip = '10.99.0.249' %}

{% set sync_to_lava = {'device_type': 'dragonboard-410c', 'worker': 'pmwg-dispatcher01.pmwglab', 'tags': [], 'aliases': []} %}
